# Wire CSS

[WireCSS](https://www.wirecss.com) is a simple and responsive flexbox based Sass framework. This gem packages WireCSS's assets for drop-in use in Rails applications.

Currently packaged is WireCSS 1.2.5.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'wirecss_rails'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install wirecss_rails

## Usage

Once installed, add the following to your `application.scss`:

```scss
@import "wire";
```

Alternatively, import components as needed:

```scss
// Core variables and mixins
@import "wire/_config.scss";
// Reset (Normalize)
@import "wire/base/_normalize.scss";
// Mixins
@import "wire/base/_mixins.scss";
// Helpers
@import "wire/base/_helpers.scss";
// Global
@import "wire/base/_global.scss";
// Components
@import "wire/components/_buttons.scss";
@import "wire/components/_grid.scss";
@import "wire/components/_typography.scss";
@import "wire/components/_forms.scss";
@import "wire/components/_list.scss";
@import "wire/components/_tables.scss";
@import "wire/components/_images.scss";

// Debug
@import "wire/tools/_debug.scss";
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
